## org.h2.command.ddl
Class CreateView

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.SchemaCommand
                  org.h2.command.ddl.CreateView

    public class CreateView

extends SchemaCommand

This class represents the statement CREATE VIEW

Field Summary

Fields inherited from class org.h2.command.Prepared
`headPos, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`CreateView(Session session, Schema schema)`

Method Summary
`void` `setColumnNames(java.lang.String[] cols)`
`void` `setComment(java.lang.String comment)`
`void` `setIfNotExists(boolean ifNotExists)`
`void` `setRecursive(boolean recursive)`
`void` `setSelect(Query select)`
`void` `setSelectSQL(java.lang.String selectSQL)`
`void` `setViewName(java.lang.String name)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.SchemaCommand
`getSchema`

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setHeadPos, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateView

    public CreateView(Session session,
                      Schema schema)

Method Detail

### setViewName

    public void setViewName(java.lang.String name)

### setRecursive

    public void setRecursive(boolean recursive)

### setSelect

    public void setSelect(Query select)

### update

    public int update()
               throws java.sql.SQLException

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count
  Throws:
    `java.sql.SQLException` - if it is a query

### setIfNotExists

    public void setIfNotExists(boolean ifNotExists)

### setSelectSQL

    public void setSelectSQL(java.lang.String selectSQL)

### setColumnNames

    public void setColumnNames(java.lang.String[] cols)

### setComment

    public void setComment(java.lang.String comment)